<%
   delete_action_title = record.respond_to?(:display_string) ? record.display_string : record.title
   suppressible = true if suppressible.nil?
   supports_events = true if supports_events.nil?
%>
<div class="row">
  <div class="col-md-12">
    <div class="record-toolbar">
      <% if (suppressible && !record.suppressed) || !suppressible %>
        <% if !['edit', 'update', 'create'].include?(controller.action_name) %>
          <div class="btn-group pull-left">
            <%= link_to I18n.t("actions.edit"), parent_link, :class => "btn btn-sm btn-primary" %>
          </div>
        <% end %>
        <% if ['new', 'create', 'edit', 'update'].include?(controller.action_name) %>
          <div class="pull-left save-changes">
            <button type="submit" class="btn btn-primary btn-sm"><%= I18n.t("actions.save_prefix") %></button>
          </div>
        <% end %>
        <% if ['edit', 'update'].include?(controller.action_name) %>
          <div class="pull-left revert-changes">
            <%= link_to I18n.t("actions.revert"), parent_link, :class => "btn btn-sm btn-default" %>
            <%= I18n.t("actions.toolbar_disabled_message") %>
          </div>
        <% end %>
      <% end %>
      <div class="btn-toolbar pull-right">
        <div class="btn-group">
          <% if user_can?('update_event_record') && supports_events && ((suppressible && !record.suppressed) || !suppressible ) %>
            <%= render_aspace_partial :partial => "shared/event_dropdown", :locals => {:record => record} %>
          <% end %>
          
          <% if ['archival_object'].include?(record.jsonmodel_type) %>
            <div class="btn-group">
              <%= button_confirm_action(I18n.t("plugins.publish_partial_trees.actions.publish_archival_object"),
                        url_for({:action => :publish, :id => record.id}),
                        {
                          :class => "btn btn-sm btn-default",
                          :"data-title" => I18n.t("plugins.publish_partial_trees.actions.publish_archival_object_confirm_title"),
                          :"data-message" => I18n.t("plugins.publish_partial_trees.actions.publish_archival_object_confirm_message"),
                          :"data-confirm-btn-label" => "#{I18n.t("plugins.publish_partial_trees.actions.publish_archival_object")}",
                          :"data-confirm-btn-class" => "btn-primary",
                        }) %>
            </div>
            <div class="btn-group">
              <%= button_confirm_action(I18n.t("plugins.publish_partial_trees.actions.unpublish_archival_object"),
                        url_for({:action => :unpublish, :id => record.id}),
                        {
                          :class => "btn btn-sm btn-default",
                          :"data-title" => I18n.t("plugins.publish_partial_trees.actions.unpublish_archival_object_confirm_title"),
                          :"data-message" => I18n.t("plugins.publish_partial_trees.actions.unpublish_archival_object_confirm_message"),
                          :"data-confirm-btn-label" => "#{I18n.t("plugins.publish_partial_trees.actions.unpublish_archival_object")}",
                          :"data-confirm-btn-class" => "btn-primary",
                        }) %>
            </div>
          <% end %>


          <% if ['archival_object', 'digital_object_component'].include?(record.jsonmodel_type) %>
            <% unless record.has_unpublished_ancestor %>
              <%= render_aspace_partial :partial => "shared/view_published_button", :locals => {:record => record} rescue nil %>
            <% end %>
          <% end %>

          <div class="btn-group dropdown" id="other-dropdown" style="display: none">
            <a class="btn btn-sm btn-default dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
              <%= I18n.t('actions.more') %>
              <span class="caret"></span>
            </a>

            <% other_shown = false %>
            <ul class="dropdown-menu">
              <% if ['archival_object'].include?(record.jsonmodel_type) %>
                <% other_shown = true %>
                <li><%= render_aspace_partial :partial => "extent_calculator/toolbar_button", :locals => {:record => record} %></li>
                <li><%= render_aspace_partial :partial => "date_calculator/toolbar_button", :locals => {:record => record} %></li>
                <% if user_can?('update_assessment_record') %>
                  <li><%= link_to I18n.t('assessment._frontend.action.create_for_record'), {:controller => :assessments, :action => :new, :record_uri => record.uri} %></li>
                <% end %>
              <% end %>

            <% if other_shown %><script>$('#other-dropdown').show();</script><% end %>
          </div>

          <% if user_can?('suppress_archival_record') || user_can?('delete_archival_record') %>
            <div class="btn-group">
              <div class="toolbar-spacer" />
            </div>
          <% end %>

          <% if suppressible && user_can?('suppress_archival_record') %>
            <div class="btn btn-inline-form">
              <% if record.suppressed %>
                <%= button_confirm_action I18n.t("actions.unsuppress"),
                                          url_for(:action => :unsuppress, :id => record.id),
                                          {
                                            :class => "btn btn-sm unsuppress-record",
                                            :"data-title" => I18n.t("actions.unsuppress_confirm_title"),
                                            :"data-message" => I18n.t("actions.unsuppress_confirm_message"),
                                            :"data-confirm-btn-label" => "#{I18n.t("actions.unsuppress")}"
                                          }
                %>
              <% else %>
                <%= button_confirm_action I18n.t("actions.suppress"),
                                          url_for(:action => :suppress, :id => record.id),
                                          {
                                            :class => "btn btn-sm btn-warning suppress-record",
                                            :"data-title" => I18n.t("actions.suppress_confirm_title"),
                                            :"data-message" => I18n.t("actions.suppress_confirm_message"),
                                            :"data-confirm-btn-label" => "#{I18n.t("actions.suppress")}",
                                            :"data-confirm-btn-class" => "btn-warning"
                                          }
                %>
              <% end %>
            </div>
          <% end %>
          <% if user_can?('delete_archival_record') %>
            <div class="btn btn-inline-form">
              <%= button_delete_action url_for(:action => :delete, :id => record.id), { :"data-title" => I18n.t("actions.delete_confirm_title", :title => delete_action_title) } %>
            </div>
          <% end %>
        </div>
      </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
